VismaBouwsoftAPICalls.v1_GET_PhotoSheets Method
v1_GET_PhotoSheets() as String

This API call is used to get fields of a(n) PhotoSheet(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /PhotoSheets/
or
API Path: /PhotoSheets/{id}
or
API Path: /PhotoSheets/{id}/Conclusion_Plain
or
API Path: /PhotoSheets/{id}/Conclusion_html
or
API Path: /PhotoSheets/{id}/Conclusion_rtf
or
API Path: /PhotoSheets/{id}/Introduction_html
or
API Path: /PhotoSheets/{id}/Introduction_plain
or
API Path: /PhotoSheets/{id}/Introduction_rtf
or
API Path: /PhotoSheets/FieldInfo/

You can make this API call:
* without the key field id to get a list of PhotoSheets
* with the key field id as the path parameter (the specific id of the PhotoSheet you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
company_id 1 tpLong 0 No Yes No
company_name 2 tpString 250 No No No
type 2 tpString 50 No No No
type_localized 2 tpString 50 No No No
nr 1 tpLong 20 No No No
title 2 tpString 150 No No No
title_localized 2 tpString 150 No No No
date 6 tpDateNullString 0 No No No
concerning 2 tpString 150 No No No
salutation 2 tpString 50 No No No
salutation_localized 2 tpString 50 No No No
greeting 2 tpString 50 No No No
greeting_localized 2 tpString 50 No No No
function 2 tpString 50 No No No
function_localized 2 tpString 50 No No No
by 2 tpString 50 No No No
state_of_the_works 2 tpString 0 No No No
address_id 1 tpLong 0 No Yes No Addresses
address_name 2 tpString 150 No No No
address_address 2 tpString 63 No No No
address_addressline2 2 tpString 63 No No No
address_countrycode 2 tpString 2 No No No
address_zipcode 2 tpString 15 No No No
address_city 2 tpString 40 No No No
contact_id 1 tpLong 0 No Yes No AddressContacts
contact_name 2 tpString 100 No No No
project_id 1 tpLong 0 No Yes No Projects
project_pnr 1 tpLong 0 No No No
project_unr 1 tpLong 0 No No No
project_name 2 tpString 100 No No No
yourreference 2 tpString 50 No No No

/PhotoSheets/

API Path: /PhotoSheets/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/PhotoSheets

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: lVbfWxfPrUzSfkAmVfzRqOUAfVOGGfjtftbbzGmPVUDfmmlIjO

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/240”, “Records”: [
  {
    "id": 4,
    "company_id": 1,
    "company_name": "Bouwsoft",
    "type": "WERFVERSLAG",
    "type_localized": "SITE REPORT",
    "nr": 2013021,
    "title": "WERFVERSLAG",
    "title_localized": "SITE REPORT",
    "date": "2013–01–05",
    "concerning": "testen van het werfverslag",
    "salutation": "Geachte",
    "salutation_localized": "Dear",
    "greeting": "",
    "greeting_localized": "",
    "function": "",
    "function_localized": "",
    "by": "",
    "state_of_the_works": "",
    "address_id": 3695,
    "address_name": "King & Grove Tides",
    "address_address": "1220 Ocean Drive, South Beach",
    "address_addressline2": "",
    "address_countrycode": "",
    "address_zipcode": "",
    "address_city": "",
    "contact_id": 40,
    "contact_name": "Mathew Pargament",
    "project_id": 75,
    "project_pnr": 20120047,
    "project_unr": 23,
    "project_name": "Project HolIday",
    "yourreference": ""
  },
  {
    "id": 5,
    "company_id": 1,
    "company_name": "Bouwsoft",
    "type": "WERFVERSLAG",
    "type_localized": "SITE REPORT",
    "nr": 22,
    "title": "WERFVERSLAG",
    "title_localized": "SITE REPORT",
    "date": "2013–01–05",
    "concerning": "",
    "salutation": "",
    "salutation_localized": "",
    "greeting": "",
    "greeting_localized": "",
    "function": "",
    "function_localized": "",
    "by": "Dekindt Sofie",
    "state_of_the_works": "",
    "address_id": 3695,
    "address_name": "King & Grove Tides",
    "address_address": "1220 Ocean Drive, South Beach",
    "address_addressline2": "",
    "address_countrycode": "",
    "address_zipcode": "",
    "address_city": "",
    "contact_id": 40,
    "contact_name": "Mathew Pargament",
    "project_id": 75,
    "project_pnr": 20120047,
    "project_unr": 23,
    "project_name": "Project HolIday",
    "yourreference": ""
  }
,

]
}

/PhotoSheets/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/PhotoSheets/243

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: lVbfWxfPrUzSfkAmVfzRqOUAfVOGGfjtftbbzGmPVUDfmmlIjO

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 243,
    "company_id": 1,
    "company_name": "Bouwsoft",
    "type": "FOTOFICHE",
    "type_localized": "PHOTO CARD",
    "nr": 3248,
    "title": "FOTOFICHE test 345",
    "title_localized": "FOTOFICHE TEST 345",
    "date": "2020–12–02",
    "concerning": "",
    "salutation": "",
    "salutation_localized": "",
    "greeting": "",
    "greeting_localized": "",
    "function": "",
    "function_localized": "",
    "by": "",
    "state_of_the_works": "",
    "address_id": 39377,
    "address_name": "Kjell Vanwalleghem",
    "address_address": "Derbylaan 59DDDDDDDDDD",
    "address_addressline2": "",
    "address_countrycode": "BE",
    "address_zipcode": "8450",
    "address_city": "Bredene",
    "contact_id": 154012,
    "contact_name": "Nick Bousse",
    "project_id": 671,
    "project_pnr": 20160112,
    "project_unr": 0,
    "project_name": "testproject kjell",
    "yourreference": ""
  }
]
}

/PhotoSheets/{id}/Conclusion_Plain

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/PhotoSheets/243/Conclusion_Plain

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: PbDfWxfUAGzSfPVtmfzRqbttfVrrGfDrflbbzmkbljAflAttkl

Success gives statuscode 200 And the following result

testslot voor de api

/PhotoSheets/{id}/Conclusion_html

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/PhotoSheets/243/Conclusion_html

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: PbDfWxfUAGzSfPVtmfzRqbttfVrrGfDrflbbzmkbljAflAttkl

Success gives statuscode 200 And the following result

<HTML><BODY> <DIV STYLE="text-align: left;"><SPAN STYLE="font-family: Montserrat;font-size: 14pt;color: #000000;"> testslot voor de api</SPAN></DIV> </BODY></HTML>

/PhotoSheets/{id}/Conclusion_rtf

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/PhotoSheets/243/Conclusion_rtf

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: UfDfWxfOPkzSftIAGfzRqVrrfVmOkGrbftAkzbPDAbPIkfDkUb

Success gives statuscode 200 And the following result

{\rtf1\ansi\deff0{\fonttbl{\f0\fnil Montserrat;}}{\colortbl ;\red0\green0\blue0;}{*\generator Spikesoft 16.02;}\ql\li0\f0\fs28\cf1 testslot voor de api}

/PhotoSheets/{id}/Introduction_html

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/PhotoSheets/243/Introduction_html

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: PbDfWxfUAGzSfPVtmfzRqbttfVrrGfDrflbbzmkbljAflAttkl

Success gives statuscode 200 And the following result

<HTML><BODY> <DIV STYLE="text-align: left;"><SPAN STYLE="font-family: Montserrat;font-size: 14pt;color: #000000;"> testinleiding voor de api</SPAN></DIV> </BODY></HTML>

/PhotoSheets/{id}/Introduction_plain

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/PhotoSheets/243/Introduction_plain

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: PbDfWxfUAGzSfPVtmfzRqbttfVrrGfDrflbbzmkbljAflAttkl

Success gives statuscode 200 And the following result

testinleiding voor de api

/PhotoSheets/{id}/Introduction_rtf

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/PhotoSheets/243/Introduction_rtf

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: UfDfWxfOPkzSftIAGfzRqVrrfVmOkGrbftAkzbPDAbPIkfDkUb

Success gives statuscode 200 And the following result

{\rtf1\ansi\deff0{\fonttbl{\f0\fnil Montserrat;}}{\colortbl ;\red0\green0\blue0;}{*\generator Spikesoft 16.02;}\ql\li0\f0\fs28\cf1 testinleiding voor de api}

/PhotoSheets/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/PhotoSheets/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: UOIfWxffkAzSfrUjPtzRqUUbfkrkIOlljbPtzDDlVrfGjAmtfb
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "company_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": true,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "company_name",
    "type_id": 2,
    "type_name": "tpString",
    "length": 250,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]